## Function to make QR codes...

make.qrcodes <- function(barcodes, 
 dir.qrcode='J:\\mattbowser\\Software\\qrcode\\qrcode-win32-3.1.1\\qrcode-win32-3.1.1\\bin\\',
 dir.ImageMagick='J:\\mattbowser\\Software\\ImageMagick\\ImageMagick-6.7.9-8-Q16-windows\\ImageMagick-6.7.9-8\\',
 dir.potrace='J:\\mattbowser\\Software\\potrace\\potrace-1.10.win32\\potrace-1.10.win32\\' ) {

 barcodes <- as.vector(barcodes)
 bc <- barcodes
 
 ## Making the qrcode images...
 ll <- length(bc)
 for (ii in 1:ll)
  {
  cmd <- paste(dir.qrcode, 'qrcode -s 20 -o ', bc[ii], '.png ', bc[ii], '', sep='')
  shell(cmd)
 
  ## Converting to bmp...
  cmd <- paste(dir.ImageMagick, 'convert ', bc[ii], '.png ', bc[ii], '.bmp', sep='')
  shell(cmd)
  cmd <- paste('del ', bc[ii], '.png', sep='')
  shell(cmd)

  ## Vectorizing...
  cmd <- paste(dir.potrace, 'potrace -b pdf -o ', bc[ii], '.pdf ', bc[ii], '.bmp', sep='')
  shell(cmd)
  cmd <- paste('del ', bc[ii], '.bmp', sep='')
  shell(cmd)
  }

 file.list <- paste(bc, ".pdf", sep="")
 file.list
 }

